Subject: [mpls] R: Draft: Response to Updated draft Recommendation G.tpoam [Ref 043.02]

From: "[email-masked]" <[email-masked]>
Date: Thu, 13 Jan 2011 23:56:57 +0100 (CET)

I do not support sending this LS in its current form.

The LS is currently stating that the IETF is not committed to deliver to ITU-T 
what it was promised in the JWT agreement.

What is the real concern the LS is trying to resolve? The fact that the 
document is not based on an IETF RFC?

>----Messaggio originale----
>Da: [email-masked]
>Data: 10-gen-2011 11.56
>A: "[email-masked]"<[email-masked]>
>Ogg: [mpls] Draft: Response to Updated draft Recommendation G.tpoam [Ref	
043.02]
>
>I propose to send the following Liaison Response to the ITU-T on Friday 
>14th January and am posting it to the MPLS WG list for review.
>
>=======
>
>Response to Updated draft Recommendation G.tpoam [Ref 043.02]
>
>From: IETF Liaison to ITU-T on MPLS [email-masked]
>To: [email-masked], [email-masked], [email-masked], [email-masked]
>CC: Greg Jones, [email-masked], [email-masked], [email-masked]
>[email-masked], [email-masked], [email-masked]
>[email-masked], [email-masked]
>[email-masked], [email-masked]
>[email-masked], [email-masked]
>
>For Action
>
>The MPLS Working Group notes that this document contains text describing 
>MPLS-TP OAM protocols not designed and standardized using the IETF 
>Standards process. Specifically it uses material from 
>draft-bhh-mpls-tp-oam-y1731-06.
>
>We wish to draw your attention to the status section of 
>draft-bhh-mpls-tp-oam-y1731-06 which states:
>
>"Internet-Drafts are draft documents valid for a maximum of six months 
>and may be updated, replaced, or obsoleted by other documents at any 
>time. It is inappropriate to use Internet-Drafts as reference material 
>or to cite them other than as "work in progress".
>
>Please also note that since the draft filename starts with the prefix 
>string "draft-bhh" this clearly identifies it to the reader as a 
>document expressing the personal technical views of the authors and 
>hence hence as a document that that does not have any acknowledged level 
>of IETF consensus.
>
>Since the text of draft Recommendation for G.tpoam is based on an 
>MPLS-TP OAM protocol not designed within the IETF Standards Process this 
>is a breach of the SG15 agreement with the IETF as published in Report 
>of the first meeting of Working Party 3/15 Transport network structures 
>(2009-2012) (Geneva, 1 – 12 December 2008) which can be found at 
>http://www.itu.int/md/T09-SG15-R-0004/en
>
>Please confirm that the ITU-T intends to continue with the joint work on 
>MPLS-TP and that the ITU-T will align this recommendation with the IETF 
>MPLS-TP OAM design before advancing this document through the ITU-T 
>publication process.
>
>The MPLS Working Group would also like to draw the attention of ITU-T 
>SG15 to the IETF copyright rules. Please see 
>http://trustee.ietf.org/license-info/archive/IETF-Trust-License-Policy-
20091228.htm 
>for further details.
>
>Since this draft Recommendation contains text in which the ITU-T SG15 
>has proposed making changes to IETF protocols without the approval of 
>the IETF, the MPLS Working Group have referred this liaison to the IAB 
>for their consideration.
>
>
>=========
>_______________________________________________
>mpls mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls
>

---

From: Christopher LILJENSTOLPE <[email-masked]>
Date: Fri, 14 Jan 2011 10:07:03 +1100

Erminio,

	I don't agree with your statement.  It is a statement that identifies that the ITU-T did not follow the JWT agreement between the IETF and the ITU-T, nor internal ITU-T and IETF processes.  It does not say that the IETF will not meet it's obligations under the JWT if the request is made the correct way.  It's not a "bugger off" it's a "please work with us in the manner previously agreed and respect our process" - is that too hard a request to make?

	Chris

>> the IETF, the MPLS Working Group have referred this liaison to the IAB 

---
李柯睿
Check my PGP key here:
https://www.asgaard.org/~cdl/cdl.asc

---

From: Eric Rosen <[email-masked]>
Date: Fri, 14 Jan 2011 09:18:50 -0500

> It is a statement that identifies that the ITU-T did not follow the JWT
> agreement between the IETF and the ITU-T, nor internal ITU-T and IETF
> processes.  It does not say that the IETF will not meet it's obligations
> under the JWT if the request is made the correct way.  It's not a "bugger
> off" it's a "please work with us in the manner previously agreed and
> respect our process"

I don't understand why the Liaison is so measured and restrained
(wishy-washy).  Since the ITU-T has breached the agreement, I don't see why
the IETF should be thought to have any further obligations under the JWT.
Shouldn't the liaison state the consequences of this breach?

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Fri, 14 Jan 2011 09:18:31 -0600

Agree with Eric.

This brought us back to 2008 with two options on the table again.

Option 1: IETF/ITU-T work jointly - ITU-T provides transport requirements, IETF defines the protocols. 
Option 2: IETF and ITU-T each develop separately, in that case, no MPLS protocol extensions/modifications can be standardized outside of IETF, nor the use of MPLS naming. 

The consequences of breaching the joint agreement would lead to Option 2.

References: 
[RFC 5317]: Joint Working Team (JWT) Report on MPLS Architectural Considerations for a Transport Profile, Feb. 2009. 
[RFC 4775]: Procedures for Protocol Extensions and Variations, Dec. 2006.
[RFC 4929]: Change Process for Multiprotocol Label Switching (MPLS) and Generalized MPLS (GMPLS) Protocols and Procedures, June 2007.

Luyuan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Eric Rosen (erosen)
Sent: 14 January 2011 09:19
To: Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: Re: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

> It is a statement that identifies that the ITU-T did not follow the 
> JWT agreement between the IETF and the ITU-T, nor internal ITU-T and 
> IETF processes.  It does not say that the IETF will not meet it's 
> obligations under the JWT if the request is made the correct way.  
> It's not a "bugger off" it's a "please work with us in the manner 
> previously agreed and respect our process"

I don't understand why the Liaison is so measured and restrained (wishy-washy).  Since the ITU-T has breached the agreement, I don't see why the IETF should be thought to have any further obligations under the JWT.
Shouldn't the liaison state the consequences of this breach?

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Fri, 14 Jan 2011 09:28:16 -0600

In fact, no MPLS or any other IETF protocol extensions/modifications can be standardized outside of IETF in any case.

Other SDOs can develop technologies independently as long as not extending/modifying IETF protocols on their own.

Luyuan 

-----Original Message-----
From: Luyuan Fang (lufang) 
Sent: 14 January 2011 10:19
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: RE: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

Agree with Eric.

References: 

Luyuan

---

From: Thomas Walsh <[email-masked]>
Date: Fri, 14 Jan 2011 10:53:50 -0500

The problem is only at the Rapporteur level.  It isn't an official ITU-T action until and unless its is confirmed at the Working Party meeting in Geneva in February.  

There is an interesting liaison (TD-563 GEN) from IETF to SG 11 meeting this month explaining what needs to be done if ITU-T wants to develop a new protocol rather than use IETF protocol. "In particular, different identifiers, formats, protocol names, and protocol component names be used at all levels of the protocol stack implied by the design." 

MPLS can not be modified without IETF approval and ITU-T would need to create an entire new suite of protocols with new identifiers, formats, names, etc.  

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Luyuan Fang (lufang)
Sent: Friday, January 14, 2011 7:28 AM
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: Re: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

Luyuan 

-----Original Message-----
From: Luyuan Fang (lufang) 
Sent: 14 January 2011 10:19
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: RE: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

Agree with Eric.

References: 

Luyuan

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Fri, 14 Jan 2011 10:20:16 -0600

> MPLS can not be modified without IETF approval and ITU-T would need to create an entire new suite of protocols with new identifiers, formats, names, etc.  

Yep, if that is the route folks like to take. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Luyuan Fang (lufang)
Sent: Friday, January 14, 2011 7:28 AM
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: Re: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

Luyuan 

-----Original Message-----
From: Luyuan Fang (lufang)
Sent: 14 January 2011 10:19
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: RE: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

Agree with Eric.

References: 

Luyuan

---

From: John E Drake <[email-masked]>
Date: Fri, 14 Jan 2011 10:01:47 -0800

And actually, given the situation, asking the IETF to review this document is really an act of disrespect.

Sent from my iPhone

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Eric Rosen
> Sent: Friday, January 14, 2011 6:19 AM
> Cc: [email-masked]; [email-masked]
> JWT